      SUBROUTINE cstonorm (maxn,djn,HC,HS)
!     j2=djn(1),j4=djn(2),...,jmaxn=djn(maxn/2)
      IMPLICIT REAL*8 (A-H,O-Z)
      real*8::HC((maxn+2)**2),HS((maxn+2)**2),djn(40)
	do 101 n=2,maxn,2
	HC(n*(n+1)/2)=HC(n*(n+1)/2)+djn(n)/DSQRT(2.*n+1.d0)
  101	continue
      RETURN
      END
